Subject: Re: [PATCH 02/03] Adding checkout function for commitish in git.el

From: Alexandre Julliard <[email-masked]>
Date: Sun, 17 Feb 2008 19:27:22 +0100

Rémi Vanicat <[email-masked]> writes:

> M-x git-checkout ask for a commitish, and checkout it as in
>   git checkout commitish --
>   key binding: "C"
> M-x git-branch ask for the name of a new branch, create it and
> checkout it as in
>   git checkout -b name
>   key binding: "b"
> M-x git-create-branch ask for a new branchname, a startpoint (a
> commitish) and create a new branch as in
>   git branch branchname startpoint
>   key binding "B"
> A menu is also available for just switching branch

My idea was to put commands that act on commits instead of files on the
C-c prefix, for instance amend-commit is on C-c C-a, I have a
preliminary cherry-pick implementation that I put on C-C C-p, then we
could have git-checkout on C-c C-o, git-branch on C-c C-b, git-merge on
C-c C-m. Otherwise we'll soon run out of single letter bindings.

Also for more complex operations like git-create-branch we may want
another prefix, as there would probably be more branch manipulations
commands.  For instance something like "B C" for create-branch, "B D"
for delete-branch, "B M" for move-branch etc.

-- 
Alexandre Julliard
[email-masked]